---
title: CSS Standards
description: General principles and rules for the CSS in this styleguide
weight: -1
---

# Guidelines for Netlify's CSS

To make sure we get the most out of our living styleguide, we should strive to
write CSS that's easily reusable across sites and apps and build components that
can be combined easily without having to worry about the context they are placed
in.

**Note that this is just a starting point, please chip in and lets flesh out these
rules with examples and more guidelines**

## Keep Specificity Low

The most important rule to keep in mind if we want to achieve a robust and reusable
component library, is to **keep specificity low**.

The best way to keep specificity low is to **style by class name** and avoid nested styling
rules as much as possible.

## Use consistent variables for font-sizes and colors

Since we have the good fortune of building a design system before we go into all the
nitty gritty details of implementation, we should strive to keep the number of different
font weights and color variations low.

We should stick to a small set of well-named variables for colors and font-sizes and use
those uniformly.
