---
title: Forms
description: Components for all fields (inputs, selects, etc.) related to forms.
weight: 12
---

# Inputs

## Line inputs (marketing only)

Due to this style of inputs being more interaction rich they are only for the marketing site (in-app inputs need to be fast and utility-driven).

{{< example >}}
<form name="support-request" action="/thanks-for-reaching-out" class="form container" method="post">
  <div class="form support-input-form">
    <div class="input-group">
      <input type="text" name="name" tabindex="1" required="">
      <span class="bar"></span>
      <label>Name</label>
    </div>
  </div>
</form>
{{< /example >}}

# Selects

## Dropdown Select

{{< example >}}
<form name="support-request" action="/thanks-for-reaching-out" class="form container" method="post">
  <select class="problem">
    <option value="" disabled="" selected="">Select a Topic</option>
    <option class="option" name="featureOption" value="Domain/DNS issue">Domain/DNS issue</option>
    <option class="option" name="featureOption" value="SSL issue">SSL issue</option>
    <option class="option" name="featureOption" value="Billing issue">Billing issue</option>
    <option class="option" name="featureOption" value="Pricing">Pricing</option>
    <option class="option" name="featureOption" value="Feature">Feature</option>
    <option class="option" name="featureOption" value="Enterprise/ Reseller">Enterprise/ Reseller</option>
    <option class="option" name="featureOption" value="Other">Other</option>
  </select>
</form>
{{< /example >}}

